# Generated by Django 4.0.3 on 2023-06-07 21:08

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="AutomobileVO",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("vin", models.CharField(default="", max_length=17)),
                ("sold", models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name="Technician",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("first_name", models.CharField(default="", max_length=50)),
                ("last_name", models.CharField(default="", max_length=50)),
                (
                    "employee_id",
                    models.PositiveSmallIntegerField(default="0", unique=True),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Appointment",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("date_time", models.DateTimeField(default=datetime.datetime.now)),
                ("reason", models.CharField(max_length=200)),
                ("status", models.CharField(default="pending", max_length=20)),
                ("vin", models.CharField(default="", max_length=17)),
                (
                    "technician",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="appointments",
                        to="service_rest.technician",
                    ),
                ),
            ],
        ),
    ]
